Bug 243680 - Tk.Tix() fail on x86_64
Summary: Tk.Tix() fail on x86_64
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tk   
(Show other bugs)
Version: 3.0
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-11 12:34 UTC by Tru Huynh
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-21 14:51:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tru Huynh 2007-06-11 12:34:44 UTC
Description of problem:
TclError: can't find package Tix only on x86_64, i386 fine

Version-Release number of selected component (if applicable):
tk-8.3.5-92.7.x86_64
tcl-8.3.5-92.7.x86_64
tkinter-2.2.3-6.5.x86_64
python-2.2.3-6.5.x86_64

How reproducible:
always

Steps to Reproduce:
1. install python, tix, tcl, tkinter
2. run the test script
3.
  
Actual results:
[tru@lehla ~]$ python2.2
Python 2.2.3 (#1, Oct 10 2006, 03:35:12) 
[GCC 3.2.3 20030502 (Red Hat Linux 3.2.3-56)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import Tix
>>> Tix.Tk()
Traceback (most recent call last):
  File "", line 1, in ?
  File "/usr/lib64/python2.2/lib-tk/Tix.py", line 213, in __init__
    self.tk.eval('package require Tix')
TclError: can't find package Tix
>>> 

Expected results:
no errors

Additional info:
no issue on i386

Comment 1 Tru Huynh 2007-06-11 12:37:34 UTC
is one set TIX_LIBRARY to /usr/lib64/

the Tix.Tk() call succeed

relevant part of "/usr/lib64/python2.2/lib-tk/Tix.py" 
<pre>
class Tk(Tkinter.Tk, tixCommand):
    """Toplevel widget of Tix which represents mostly the main window
    of an application. It has an associated Tcl interpreter."""
    def __init__(self, screenName=None, baseName=None, className='Tix'):
        Tkinter.Tk.__init__(self, screenName, baseName, className)
        tixlib = os.environ.get('TIX_LIBRARY')
        self.tk.eval('global auto_path; lappend auto_path [file dir [info nameof]]')
        if tixlib is not None:
            self.tk.eval('global auto_path; lappend auto_path {%s}' % tixlib)
            self.tk.eval('global tcl_pkgPath; lappend tcl_pkgPath {%s}' % tixlib)
        # Load Tix - this should work dynamically or statically
        # If it's static, lib/tix8.1/pkgIndex.tcl should have
        #   'load {} Tix'
        # If it's dynamic under Unix, lib/tix8.1/pkgIndex.tcl should have
        #   'load libtix8.1.8.3.so Tix'
        self.tk.eval('package require Tix')

</pre>

Comment 2 Marcela Mašláňová 2007-06-21 14:51:42 UTC
This package was added to RHEL-4 and it isn't planned to backport it. Red Hat
does not currently plan to provide a resolution for this in a Red Hat Enterprise
Linux update for currently deployed systems.

Comment 3 Tru Huynh 2007-06-21 21:16:54 UTC
Sorry, I don't understand your comment: it's a plain RHEL3 issue, not a backport
issue from RHEL4. Are you closing it on WONTFIX?

Comment 4 Marcela Mašláňová 2007-06-22 07:58:38 UTC
It's RHEL-3 issue, in RHEL-4 is tix available. 
It's defered = fixed in higher version.


Note You need to log in before you can comment on or make changes to this bug.